package org.gcube.application.cms.plugins.reports;

import lombok.Data;
import org.gcube.application.cms.plugins.requests.EventExecutionRequest;
import org.gcube.application.cms.plugins.requests.StepExecutionRequest;
import org.gcube.application.geoportal.common.model.document.ProfiledDocument;

import java.util.List;

@Data
public class StepExecutionReport {

    StepExecutionRequest request;

    ProfiledDocument result;

    List<EventExecutionRequest> toTriggerEvents;

    List<StepExecutionRequest> cascadeSteps;
}
